Package name
ntp
Date
2001-04-06
Advisory ID
MDKSA-2001:036
Affected versions
CS1.0 i586 , 6.1 i586 , 6.0 i586 , 7.0 i586 , 7.1 i586 , 7.2 i586

Problem description

Przemyslaw Frasunek reported that ntp daemons such as ntp and xntp3 are vulnerable to a buffer overflow that can lead to a remote root exploit. Linux-Mandrake users are urged to upgrade ntp and xntp3 immediately.

Updated packages

CS1.0 i586

 b838be30d640e9ec66a889ae40befcec  1.0.1/RPMS/ntp-4.0.99k-3.1mdk.i586.rpm
426adc36d33cca4bc79b42d2e27bdf90  1.0.1/RPMS/xntp3-5.93-9.2mdk.i586.rpm
fdde309e6374143810423b01c58734f0  1.0.1/SRPMS/ntp-4.0.99k-3.1mdk.src.rpm
0169a707d04905c11c797f80158d019a  1.0.1/SRPMS/xntp3-5.93-9.2mdk.src.rpm

6.1 i586

 e3290d013fdad5655fa00fe2671ead77  6.1/RPMS/xntp3-5.93-9.4mdk.i586.rpm
59535e0387f876e8359c2e6006aee412  6.1/SRPMS/xntp3-5.93-9.4mdk.src.rpm

6.0 i586

 962038bacbddbeb3b6fd60437d9e0a16  6.0/RPMS/xntp3-5.93-9.4mdk.i586.rpm
59535e0387f876e8359c2e6006aee412  6.0/SRPMS/xntp3-5.93-9.4mdk.src.rpm

7.0 i586

 10d5665e96d4732fb50afac597b55b49  7.0/RPMS/xntp3-5.93-9.3mdk.i586.rpm
afb2de97e04dae55d0d28d5733db4352  7.0/SRPMS/xntp3-5.93-9.3mdk.src.rpm

7.1 i586

 b838be30d640e9ec66a889ae40befcec  7.1/RPMS/ntp-4.0.99k-3.1mdk.i586.rpm
426adc36d33cca4bc79b42d2e27bdf90  7.1/RPMS/xntp3-5.93-9.2mdk.i586.rpm
fdde309e6374143810423b01c58734f0  7.1/SRPMS/ntp-4.0.99k-3.1mdk.src.rpm
0169a707d04905c11c797f80158d019a  7.1/SRPMS/xntp3-5.93-9.2mdk.src.rpm

7.2 i586

 78510269b88b75b90fbb28cb5ecd7d0b  7.2/RPMS/ntp-4.0.99k-3.1mdk.i586.rpm
d1be8a263979dfcc9549aa0193b3bc43  7.2/RPMS/xntp3-5.93-9.1mdk.i586.rpm
fdde309e6374143810423b01c58734f0  7.2/SRPMS/ntp-4.0.99k-3.1mdk.src.rpm
ed9ff666ed28bbf050558cbb6d824dbf  7.2/SRPMS/xntp3-5.93-9.1mdk.src.rpm